Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
auth::RadiusManager Interface Reference

RADIUS server configuration interface. More...

`import "RadiusManager.idl";`

## Classes
struct | ServerSettings
| Server settings. More...

## Public Types
enum | AuthType { PAP , CHAP , MSCHAPv2 }
| RADIUS auth type. More...

## Public Member Functions
vector< ServerSettings > | getRadiusServers ()
| Get a list of RADIUS server settings.
int | setRadiusServers (in vector< ServerSettings > serverList)
| Sets a list of RADIUS servers.
int | testRadiusServer (in string username, in string password, in ServerSettings settings)
| Tests an RADIUS server configuration.

## Public Attributes
constant int | ERR_INVALID_CFG = 1
| The server configuration is invalid.
constant int | ERR_SERVER_UNSPECIFIED = 2
| Unspecified error.
constant int | ERR_INVALID_SHARED_SECRET = 3
| The shared secret is invalid.
constant int | ERR_SERVER_UNREACHABLE = 4
| RADIUS server could not be contacted.
constant int | ERR_AUTHENTICATION_FAILED = 5
| User could not be authenticated.
constant int | ERR_NO_ROLES = 6
| No roles are defined for the user.
constant int | ERR_NO_KNOWN_ROLES = 7
| No known rules are defined for the user.
constant int | ERR_MSG_AUTH_ATTR_MISSING = 8
| Message-Authenticator attribute missing in Access-Request reply.

## Detailed Description

RADIUS server configuration interface.

Definition at line 10 of file RadiusManager.idl.

## Member Enumeration Documentation

## ◆ AuthType

enum auth::RadiusManager::AuthType

RADIUS auth type.

Enumerator
PAP | PAP authentication.
CHAP | CHAP authentication.
MSCHAPv2 | MSCHAPv2 authentication.

Definition at line 13 of file RadiusManager.idl.

## Member Function Documentation

## ◆ getRadiusServers()

vector< ServerSettings > auth::RadiusManager::getRadiusServers | ( |  | ) |

Get a list of RADIUS server settings.

Returns
  list of ServerSettings

## ◆ setRadiusServers()

int auth::RadiusManager::setRadiusServers | ( | in vector< ServerSettings > | serverList | ) |

Sets a list of RADIUS servers.

Any existing RADIUS Server configuration will be cleared / overwritten.

Returns
  0 on success
  `ERR_INVALID_CFG` in case of invalid configuration

## ◆ testRadiusServer()

int auth::RadiusManager::testRadiusServer | ( | in string | username,
|  | in string | password,
|  | in ServerSettings | settings )

Tests an RADIUS server configuration.

Returns
  0 on success
  `ERR_SERVER_UNSPECIFIED` an unspecified error occurred
  `ERR_INVALID_CFG` RADIUS server configuration is invalid (reused from setRadiusServers)
  `ERR_INVALID_SHARED_SECRET` the shared secret is invalid
  `ERR_SERVER_UNREACHABLE` RADIUS server could not be contacted
  `ERR_AUTHENTICATION_FAILED` user could not be authenticated
  `ERR_NO_ROLES` no roles are defined for the user
  `ERR_NO_KNOWN_ROLES` no known roles are defined for the user
  `ERR_MSG_AUTH_ATTR_MISSING` Message-Authenticator attribute missing in Access-Request reply

## Member Data Documentation

## ◆ ERR_AUTHENTICATION_FAILED

constant int auth::RadiusManager::ERR_AUTHENTICATION_FAILED = 5

User could not be authenticated.

Definition at line 37 of file RadiusManager.idl.

## ◆ ERR_INVALID_CFG

constant int auth::RadiusManager::ERR_INVALID_CFG = 1

The server configuration is invalid.

Definition at line 33 of file RadiusManager.idl.

## ◆ ERR_INVALID_SHARED_SECRET

constant int auth::RadiusManager::ERR_INVALID_SHARED_SECRET = 3

The shared secret is invalid.

Definition at line 35 of file RadiusManager.idl.

## ◆ ERR_MSG_AUTH_ATTR_MISSING

constant int auth::RadiusManager::ERR_MSG_AUTH_ATTR_MISSING = 8

Message-Authenticator attribute missing in Access-Request reply.

Definition at line 40 of file RadiusManager.idl.

## ◆ ERR_NO_KNOWN_ROLES

constant int auth::RadiusManager::ERR_NO_KNOWN_ROLES = 7

No known rules are defined for the user.

Definition at line 39 of file RadiusManager.idl.

## ◆ ERR_NO_ROLES

constant int auth::RadiusManager::ERR_NO_ROLES = 6

No roles are defined for the user.

Definition at line 38 of file RadiusManager.idl.

## ◆ ERR_SERVER_UNREACHABLE

constant int auth::RadiusManager::ERR_SERVER_UNREACHABLE = 4

RADIUS server could not be contacted.

Definition at line 36 of file RadiusManager.idl.

## ◆ ERR_SERVER_UNSPECIFIED

constant int auth::RadiusManager::ERR_SERVER_UNSPECIFIED = 2

Unspecified error.

Definition at line 34 of file RadiusManager.idl.

The documentation for this interface was generated from the following file:

- RadiusManager.idl